// -*-C++-*-
//
// File:      AnyFile.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 13:40:55 MET DST 2000

#include "AnyFile.h"
#include "Folder.h"
#include <Dal.h>

AnyFile::AnyFile(const QString& name,Folder* parent) :
  _name(name),_parent(parent),_dataSet(0),_isParsed(false)
{
}

AnyFile::~AnyFile()
{
}

QString AnyFile::qualifiedName()
{
  QString s;
  if ( _parent ) {
    s = _parent->qualifiedName();
    s.append( "/" );
    s.append( _name );
    
  } else {
    s = _name;
  }
  return s;
}

DataSet* AnyFile::dataSet()
{
  if (!_isParsed) {
    _isParsed=true;
    QString qName=qualifiedName();
    const char* cName=qName.latin1();
    /*
    std::cerr << "DalListViewAnyFile::dataSet.name=" << cName 
	      << std::endl;
    */
    if (dataSetServer->exists(cName))
	_dataSet=dataSetServer->open(cName,
				     DataSet::Read,
				     DataSetServer::HighLow);
  }
  return _dataSet;
}

bool AnyFile::isDataSet(const char* fileName)
{
  return dataSetServer->exists(fileName);
  /** Use this if you're not interested in possible gzip-ed FITS files
    ifstream is(fileName);
    string s;
    is >> s;
    is.close();
    return (s == "SIMPLE");
  */
}
