// -*-C++-*-
//
// File:      DalListViewFolder.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 11:33:58 MET DST 2000

#ifndef DalListViewAnyFile_h
#define DalListViewAnyFile_h
#include "DalListViewAttributable.h"
#include "AnyFile.h"

class DalListViewFolder;
/*
  Any File as shown in a Qt ListView
 */
class DalListViewAnyFile : public DalListViewAttributable
{
  //Q_OBJECT
public:
  DalListViewAnyFile(AnyFile*,DalListViewFolder* parent=0, const char* name=0);
  DalListViewAnyFile(AnyFile*,QListView*      parent=0, const char* name=0);
  virtual ~DalListViewAnyFile();

  virtual DalListViewItem* clone(QListView*);
  virtual void setOpen( bool );
  virtual void setup();

  QString qualifiedName();
  void openChildren(QListView*);

  AnyFile* anyFile();

  Type type() {return _type;}
private:
  // member functions
  DalListViewAnyFile(const DalListViewAnyFile&);      // copy constructor (disabled)
  DalListViewAnyFile& operator=(const DalListViewAnyFile&); // assignment (disabled)
  void _init();
  void setToType();

  // member data
  AnyFile* _anyFile;
  Type     _type;
};



#endif
