// -*-C++-*-
//
// File:      DalListViewAttributable.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 13:21:17 MET DST 2000

#include "DalListViewAttributable.h"
#include "DalListViewAttribute.h"
#include "DalListViewComment.h"
#include "DalListViewHistory.h"

#include <Dal.h>

#include <qpixmap.h>

DalListViewAttributable::DalListViewAttributable(Attributable* att,DalListViewItem* parent,const char* name) :
  DalListViewItem(parent,name), _attributable(att)
{
  _init();
}

DalListViewAttributable::DalListViewAttributable(Attributable* att,QListView* parent,const char* name) :
  DalListViewItem(parent,name), _attributable(att)
{
  _init();
}

void DalListViewAttributable::_init()
{
}

DalListViewAttributable::~DalListViewAttributable()
{
}

void DalListViewAttributable::openChildren(QListView* v)
{

  if (_attributable->historys()) new DalListViewHistory(_attributable,v);
  if (_attributable->comments()) new DalListViewComment(_attributable,v);

  unsigned nAtts = _attributable->attributes();
  for(unsigned i=0; i<nAtts; i++)
    new DalListViewAttribute(_attributable->attribute(i),v);
    //    new QListViewItem(v, _attributable->attribute(i)->name().c_str());
}
