// -*-C++-*-
//
// File:      DalListViewAttribute.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Jul 28 17:05:33 MET DST 2000

#include "DalListViewAttribute.h"
#include "DalListViewAttributable.h"
#include "IconLibrary.h"

#include <Dal.h>

#include <qpixmap.h>

static const QPixmap* AttributeXpm=0;

DalListViewAttribute::DalListViewAttribute(Attribute* attribute,
					   DalListViewAttributable* parent,
					   const char* name) :
  DalListViewItem(parent,name),_attribute(attribute)
{
  _init();
}

DalListViewAttribute::DalListViewAttribute(Attribute* attribute,
					   QListView* parent,
					   const char* name) :
  DalListViewItem(parent,name),_attribute(attribute)
{
  _init();
}

DalListViewItem* DalListViewAttribute::clone(QListView* parent)
{
  return new DalListViewAttribute(_attribute,parent,"Cloned");
}

void DalListViewAttribute::_init()
{
  if (!AttributeXpm) 
    AttributeXpm=&IconLibrary::instance()->icon("Attribute.xpm");

  QString txt(_attribute->name().c_str());
  setText(0,txt);
  setPixmap(0,*AttributeXpm);
  setText(1,"Attribute");
}

DalListViewAttribute::~DalListViewAttribute()
{
}

QString DalListViewAttribute::qualifiedName()
{
  return QString(_attribute->qualifiedName().c_str());
}
