// -*-C++-*-
//
// File:      DalListViewFolder.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 11:33:58 MET DST 2000

#ifndef DalListViewFolder_h
#define DalListViewFolder_h
#include "DalListViewItem.h"
#include "Folder.h"
#include <qlistview.h>


/*
  Folder as shown in a Qt ListView
 */
class DalListViewFolder : public DalListViewItem
{
  //Q_OBJECT
public:
  DalListViewFolder(Folder*,DalListViewFolder* parent=0, const char* name=0);
  DalListViewFolder(Folder*,QListView*      parent=0, const char* name=0);
  virtual ~DalListViewFolder();

  virtual DalListViewItem* clone(QListView*);
  virtual void setOpen( bool );
  virtual void setup();

  virtual QString qualifiedName();
  virtual void openChildren(QListView*);

  Folder* folder() {return _folder;}
  Type type() {return FolderType;}

private:
  // member functions
  DalListViewFolder(const DalListViewFolder&);      // copy constructor (disabled)
  DalListViewFolder& operator=(const DalListViewFolder&); // assignment (disabled)
  void _init();

  // member data
  Folder*         _folder;
  DalListViewFolder* _parent;
};



#endif
