// -*-C++-*-
//
// File:      DalListViewItem.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 11:33:58 MET DST 2000

#ifndef DalListViewItem_h
#define DalListViewItem_h

#include "DalListViewable.h"

#include <qlistview.h>

class DalListViewItem : public QListViewItem, public DalListViewable
{
  //Q_OBJECT
public:
  virtual ~DalListViewItem();


  // clone current item in another parent view
  virtual DalListViewItem* clone(QListView*)=0;

  // returns the fully qualified name for this item
  virtual QString qualifiedName()=0;

  // open the children as part of another different view;
  virtual void openChildren(QListView*)=0;

  // find Dal item with fully qualified name
  DalListViewItem* open(const QString& fullName);

  DalListViewItem* firstChild();
  DalListViewItem* nextSibling();
  
  DalListViewItem* parent() const;
  DalListViewItem* itemAbove();
  DalListViewItem* itemBelow(); 
protected:
  DalListViewItem(DalListViewItem* parent=0, const char* name=0);
  DalListViewItem(QListView*   parent=0, const char* name=0);
  virtual void _init()=0;

private:
  // member functions
  DalListViewItem(const DalListViewItem&);      // copy constructor (disabled)
  DalListViewItem& operator=(const DalListViewItem&); // assignment (disabled)
  DalListViewItem* convert(QListViewItem*) const;     // converter!

};



#endif
