// -*-C++-*-
//
// File:      DalListViewable.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Thu Aug 10 14:45:52 MET DST 2000

#ifndef DalListViewable_h
#define DalListViewable_h



class DalListViewable 
{
  
public:
  enum Type {None=0,
	     FolderType=1,
	     FileType=2,
	     DataSetType=4,
	     TableType=8,
	     ArrayType=16,
	     BlockType=TableType|ArrayType,
	     ColumnType=32,
	     AttributeType=64,
	     Any=FolderType|FileType|DataSetType|TableType|ArrayType|
	         ColumnType|AttributeType};
  
  virtual ~DalListViewable(){}

  virtual Type type()=0;

protected:
  // only derived classes can use these
  DalListViewable(){}

private:
  // member functions
  DalListViewable(const DalListViewable&);            // copy constructor (disabled)
  DalListViewable& operator=(const DalListViewable&); // assignment (disabled)

  // member data

};



#endif
