// -*-C++-*-
//
// File:      IconLibrary.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Aug 18 13:04:26 MET DST 2000

#include "IconLibrary.h"

#include <SasFileLocator.h> // utils

#include <string>
#include <map>

/*** Static instance when used as a singleton class ***/
IconLibrary* IconLibrary::_instance = 0;

class LibOfIcons : public map< string, QPixmap > {};

IconLibrary::IconLibrary() : _icons(0)
{
  _icons = new LibOfIcons;
}

IconLibrary::~IconLibrary()
{
}

IconLibrary* IconLibrary::instance()
{
  if (!_instance) _instance = new IconLibrary;
  return _instance;
}

const QPixmap& IconLibrary::icon(const char* iName)
{
  LibOfIcons::iterator it=_icons->find(iName);
  if (it == _icons->end()) { // try to find it
    SasFileLocator locator("");
    string file=locator.locate(string("config/sas/icons/") + iName,"",false);
    (*_icons)[iName]=QPixmap(file.c_str());
  }
  return (*_icons)[iName];
}
