// -*-C++-*-
//
// File:      ChoiceFrame.cc
// Author:    jbakker
// Generated: Fri Jun 30 16:29:12 MET DST 2000

#include "ChoiceFrame.h"
#include <qlayout.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qcombobox.h>
#include <qwidgetstack.h>
#include "StringChoiceParameter.h"
#include "StringChoiceParamWidget.h"

ChoiceFrame::ChoiceFrame(StringChoiceParameter* p,
			 QWidget *parent, const char *name) :
  FrameWidget(parent,name), _stack(0),_combo(0), _par(p)
{
  _combo=new StringChoiceParamWidget(p, this);
  _par->addView(_combo);
  _par->addView(this);
  _cb=_combo;

  _stack = new QWidgetStack(_group);
  _groupbox->addWidget(_stack);
}

ChoiceFrame::~ChoiceFrame()
{
  _par->deleteView(this);
  
}


void ChoiceFrame::addWidget(const char* t,QWidget* w)
{
  int id= _combo->currentItem();

  // -- insert
  _combo->setItem(t);
  _stack->addWidget(w,_combo->currentItem());

  _combo->setCurrentItem(id);
  _stack->raiseWidget(id);
}

void ChoiceFrame::enableGroup(bool enable)
{
  if (!_stack) return;
  QWidget* w=_stack->visibleWidget();
  if (w) w->setEnabled(enable);
}

void ChoiceFrame::updateView()
{
  int id=_combo->currentItem();
  _stack->raiseWidget(id);  
}
