// -*-C++-*-
//
// File:      EnableFrame.cc
// Author:    jbakker
// Generated: Fri Jun 30 16:29:12 MET DST 2000

#include "EnableFrame.h"
#include <qlayout.h>
#include <qlabel.h>
#include "BoolParamWidget.h"
#include "BoolParameter.h"

EnableFrame::EnableFrame(QWidget *parent, const char *name) :
  FrameWidget(parent,name), _par(0)
{
}

EnableFrame::~EnableFrame()
{
  if (_par) _par->deleteView(this);
}

void EnableFrame::setLabel(BoolParameter* p)
{
  if (_par) _par->deleteView(this);
  _par=p;
  if (!_par) return;

  // reconstruct:
  delete _cb;
  BoolParamWidget* bw=new BoolParamWidget(p, this, p->name().c_str());
  _par->addView(bw);
  _par->addView(this);
  _cb=bw;

  updateView();
}

void EnableFrame::setEnabled(bool enable)
{
  enableCtrl(enable);
  enableGroup(enable && _par->boolValue()); // only set it if we wish to.
}

/*
  This is updated by parameter->updateView();
 */
void EnableFrame::updateView()
{
  if (!_cb) return;
  enableGroup(isEnabled() && _par->boolValue()); // only set it if we wish to.
}


void EnableFrame::addWidget(QWidget* w)
{
  _groupbox->addWidget(w);
}
