/*****************************************************************************
 *
 *  GuiBuilder.h                                XMM Science Analysis Subsystem
 *
 *  Plug-in classes for GUI layout
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: GuiBuilder.h,v 1.6 2000/11/03 15:22:06 jbakker Exp $
 *
 *****************************************************************************/

#ifndef GUIBUILDER_H
#define GUIBUILDER_H

#include "LayoutBuilder.h"
#include "Layout.h"

#include <qwidget.h>


//================================================================
//  Class GuiBuilder
//================================================================

class GuiBuilder : public LayoutBuilder
{
public:

    // Constructor
    GuiBuilder(QWidget* parent, QSize labelSize)
      : _parent(parent), _widget(0), _labelSize(labelSize) {}

    // Build various types of layout
    void buildSimple(Layout*);
    void buildFrame(Layout*);
    void buildCards(Layout*);
    void buildRow(Layout*);
    void buildColumn(Layout*);
    void buildEnable(Layout*);
    void buildChoice(Layout*);

    // Return the resulting widget
    QWidget* widget() { return _widget; }

private:
    // Member data
    QWidget* _parent;
    QWidget* _widget;
    QSize    _labelSize;

    // Constants
    static const int _margin;
    static const int _spacing;
};

#endif
