/*****************************************************************************
 *
 *  IntParamWidget.h                            XMM Science Analysis Subsystem
 *
 *  Widgets for editting integer parameters
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: IntParamWidget.h,v 1.4 1999/06/29 14:09:40 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef INTPARAMWIDGET_H
#define INTPARAMWIDGET_H

#include "IntegerEdit.h"       // Application headers
#include "ParameterView.h"

class QWidget;
class IntParameter;


//================================================================
//  Class IntParamWidget
//================================================================

class IntParamWidget : public IntegerEdit, public ParameterView
{
    Q_OBJECT

public:
    IntParamWidget(IntParameter*, QWidget*);
    ~IntParamWidget();

private slots:
    void valueChanged(int value);

protected:
    void updateView();

private:
    IntParameter* _par;
};

#endif
