/*****************************************************************************
 *
 *  PopupBrowserParamWidget.cc                  XMM Science Analysis Subsystem
 *
 *  Base class for parameter widgets which pop-up the browser
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: PopupBrowserParamWidget.cc,v 1.9 2001/12/20 10:45:41 jbakker Exp $
 *
 *****************************************************************************/

#include "PopupBrowserParamWidget.h"      // Application headers
#include "DataSetBrowser.h"
#include "StringParameter.h"

#include <iostream>                     // C++ headers
#include <string>


//================================================================
//  Class PopupBrowserParamWidget
//================================================================

void PopupBrowserParamWidget::popupDialog()
{
    _dsv = new DataSetBrowser(this);
    _dsv->setMultiSelection(false);
    _dsv->setSelectable(_itype);

    QString theCaption("DataSet Browser: select ");
    theCaption += _par->getTypeName();
    theCaption += " for parameter '";
    theCaption += _par->name().c_str();
    theCaption += "'";
    _dsv->setCaption(theCaption);

    /*{
      vector<string> lst;
      lst.push_back(_par->stringValue());
      _dsv->setSelection(lst);
      }*/

    if(_dsv->exec()) {
      vector<string> lst=_dsv->selection();
      //if (!lst.empty()) setText(lst[0].c_str());
      if (!lst.empty()) _par->setValue(lst[0]);
    }
    delete _dsv;
}
