/*****************************************************************************
 *
 *  RealParamWidget.h                           XMM Science Analysis Subsystem
 *
 *  Widget for editting real parameters
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: RealParamWidget.h,v 1.3 1999/06/29 14:09:46 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef REALPARAMWIDGET_H
#define REALPARAMWIDGET_H

#include "DoubleEdit.h"       // Application headers
#include "ParameterView.h"

class QWidget;
class RealParameter;


//================================================================
//  Class RealParamWidget
//================================================================

class RealParamWidget : public DoubleEdit, public ParameterView
{
    Q_OBJECT

public:
    RealParamWidget(RealParameter*, QWidget*);
    ~RealParamWidget();

public slots:
    void valueChanged(double);

protected:
    void updateView();

private:
    RealParameter* _par;
};

#endif
