/*****************************************************************************
 *
 *  StringChoiceParamWidget.h                   XMM Science Analysis Subsystem
 *
 *  Widget for selecting from a set of strings
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: StringChoiceParamWidget.h,v 1.3 1999/07/20 09:00:13 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef STRINGCHOICEPARAMWIDGET_H
#define STRINGCHOICEPARAMWIDGET_H

#include "ParameterView.h"         // Application headers

#include <qcombobox.h>             // Qt headers

class QWidget;
class StringChoiceParameter;


//================================================================
//  Class StringChoiceParamWidget
//================================================================

class StringChoiceParamWidget : public QComboBox, public ParameterView
{
    Q_OBJECT

public:
    StringChoiceParamWidget(StringChoiceParameter*, QWidget*);
    ~StringChoiceParamWidget();
    void setItem(const char* string);

signals:
    void activated(int item);

public slots:
    void valueChanged(const QString& value);

protected:
    void updateView();

private:
    StringChoiceParameter* _par;
};

#endif

