/*****************************************************************************
 *
 *  StringListParamWidget.h                     XMM Science Analysis Subsystem
 *
 *  Widgets for editting string list parameters
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: StringListParamWidget.h,v 1.3 1999/06/29 14:09:49 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef STRINGLISTPARAMWIDGET_H
#define STRINGLISTPARAMWIDGET_H

#include "ParameterView.h"          // Application headers
#include "StringListEdit.h"

class QWidget;
class StringListParameter;
class StringChoiceListParameter;


//================================================================
//  Class StringListParamWidget
//================================================================

class StringListParamWidget : public StringListEdit, public ParameterView
{
    Q_OBJECT

public:
    StringListParamWidget(StringListParameter*, QWidget*);
    ~StringListParamWidget();

public slots:
    void valueChanged();

protected:
    void updateView();

private:
    StringListParameter* _par;
};


//================================================================
//  Class StringChoiceListParamWidget
//================================================================

class StringChoiceListParamWidget : public StringListEdit, public ParameterView
{
    Q_OBJECT

public:
    StringChoiceListParamWidget(StringChoiceListParameter*, QWidget*);
    ~StringChoiceListParamWidget();

public slots:
    void valueChanged();

protected:
    void updateView();

private:
    StringChoiceListParameter* _par;
};

#endif
