/*****************************************************************************
 *
 *  TimeParamWidget.h                           XMM Science Analysis Subsystem
 *
 *  Widget for editting time parameters
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: TimeParamWidget.h,v 1.2 1999/12/02 10:30:36 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef TIMEPARAMWIDGET_H
#define TIMEPARAMWIDGET_H

#include "MultiTimeEdit.h"                 // Application headers
#include "TimeParameter.h"
#include "ParameterView.h"

class QWidget;


//================================================================
//  Class TimeParamWidget
//================================================================

class TimeParamWidget : public MultiTimeEdit, public ParameterView
{
    Q_OBJECT

public:
    TimeParamWidget(TimeParameter* p, QWidget* w);
    ~TimeParamWidget();

public slots:
    void valueChanged(double);
    void modeChanged(TimeFormatter::TimeMode mode);

protected:
    void updateView();

private:
    TimeParameter* _par;
};

#endif
