/****************************************************************************
 *
 *  testParamDialog.cc                         XMM Science Analysis Subsystem
 *
 *  Test harness for ParamDialog
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: testParamDialog.cc,v 1.5 2001/05/10 13:03:50 jbakker Exp $
 *
 *****************************************************************************/

#include <param.h>
#include "ParameterInfo.h"
#include "LayoutPrinter.h"
#include "ParamDialog.h"
#include "testParamDialog.h"
#include <errstr.h>

#include <qapplication.h>            // Qt headers
#include <qwidget.h>
#include <qpushbutton.h>
#include <qlayout.h>

#include <iostream>                // C++ headers
#include <string>


//================================================================
//  Class Demo
//================================================================

Demo::Demo()
{
    /*** Read parameter file ***/

    string taskname("testparamdialog");
    errHandler.name(taskname);

    openParameters(taskname);
    _info = gParameters;


    /*** Create PushButtons ***/

    QPushButton* testButton = new QPushButton("Test",this);
    connect(testButton, SIGNAL(clicked()),SLOT(test()));
    testButton->setFixedSize(70,20);

    QPushButton* quitButton = new QPushButton("Quit",this);
    connect(quitButton, SIGNAL(clicked()),qApp,SLOT(quit()));
    quitButton->setFixedSize(70,20);


    /*** Manage the geometry ***/

    QBoxLayout* vbox = new QVBoxLayout(this,10);

    vbox->addWidget(testButton,0);
    vbox->addStretch(1);
    vbox->addWidget(quitButton,0);

    adjustSize();
}


/*** Pop-up the ParamDialog ***/

void Demo::test()
{
    ParamDialog dialog(_info, this, 0, true, "Ok");
    if(dialog.exec())
    {
        cout << *_info << endl;
    }
}


//================================================================
//  Main program
//================================================================

int main(int argc, char **argv)
{
    QApplication app(argc, argv);
    Demo mainWidget;
    app.setMainWidget(&mainWidget);

    mainWidget.show();
    return app.exec();
}
