/*****************************************************************************
 *
 *  BoolListEdit.h                              XMM Science Analysis Subsystem
 *
 *  Qt widget for editing lists
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: BoolListEdit.h,v 1.1 1999/06/24 09:24:22 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef BOOLLISTEDIT_H
#define BOOLLISTEDIT_H

#include <vector>                // C++ headers

#include "ValidatedEdit.h"       // Application headers


//================================================================
//  Class BoolListEdit
//================================================================

class BoolListEdit : public ValidatedEdit
{
    Q_OBJECT

public:

    // Constructor
    BoolListEdit(QWidget *parent=0, const char *name=0);

    // Accessors
    vector<int> value() const;

public slots:

    void setValue(vector<int>);

signals:

    void valueChanged();

private:

    // Utility
    void setTextToValue();
    void setValueToText();
    bool isValid();
    bool isInRange();

    // Member data
    vector<int>  _value;
};

#endif


