/*****************************************************************************
 *
 *  DoubleEdit.h                                XMM Science Analysis Subsystem
 *
 *  Qt widget for editing doubles
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: DoubleEdit.h,v 1.1 1999/06/24 09:24:23 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef DOUBLEEDIT_H
#define DOUBLEEDIT_H

#include <list>                     // C++ headers

#include "ValidatedEdit.h"
#include "RangeConstraint.h"


//================================================================
//  Class DoubleEdit
//================================================================

class DoubleEdit : public ValidatedEdit, public RangeConstraint<double>
{
    Q_OBJECT

public:

    // Constructor
    DoubleEdit(QWidget *parent=0, const char *name=0, double value=0);

    // Accessors
    double value() const;

public slots:

    void setValue(double);

signals:

    void valueChanged(double);

protected:

    // Implement virtual methods
    void setTextToValue();
    void setValueToText();
    bool isValid();
    bool isInRange();

    // Member data
    double  _value;
};

#endif


