/*****************************************************************************
 *
 *  MultiAngleEdit.h                            XMM Science Analysis Subsystem
 *
 *  Qt widget for editing angles, with button to choose mode
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: MultiAngleEdit.h,v 1.4 2000/07/04 09:32:44 jbakker Exp $
 *
 *****************************************************************************/

#ifndef MULTIANGLEEDIT_H
#define MULTIANGLEEDIT_H

#include <qwidget.h>

#include "AngleEdit.h"
#include "AngleFormatter.h"


//================================================================
//  Class MultiAngleEdit
//================================================================
class QComboBox;
class MultiAngleEdit : public QWidget
{
    Q_OBJECT

public:

    // Constructor
    MultiAngleEdit(QWidget *parent=0, const char *name=0);
    ~MultiAngleEdit();

    // Accessors
    double value() const;

    // Constraints
    void setMin(double min) { _angleEdit->setMin(min); }
    void setMax(double max) { _angleEdit->setMax(max); }
    void setRange(double min, double max) {_angleEdit->setRange(min,max); }
    double min() const { return _angleEdit->min(); }
    double max() const { return _angleEdit->max(); }

public slots:

    void setValue(double angle);
    void setEnabled(bool enabled);
    void setMode(AngleFormatter::AngleMode mode);

signals:

    void valueChanged(double);
    void modeChanged(AngleFormatter::AngleMode mode);

private slots:
    void activateMode(int);

private:
    AngleEdit*   _angleEdit;
    QComboBox*   _combo;
};

#endif
