/*****************************************************************************
 *
 *  MultiTimeListEdit.h                        XMM Science Analysis Subsystem
 *
 *  Qt widget for editing times, with button to choose mode
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: MultiTimeListEdit.h,v 1.2 2000/07/04 09:32:45 jbakker Exp $
 *
 *****************************************************************************/

#ifndef MULTITIMELISTEDIT_H
#define MULTITIMELISTEDIT_H

#include <vector>

#include <qwidget.h>

#include "TimeListEdit.h"
#include "TimeFormatter.h"


//================================================================
//  Class MultiTimeListEdit
//================================================================
class QComboBox;

class MultiTimeListEdit : public QWidget
{
    Q_OBJECT

public:
    // Constructor
    MultiTimeListEdit(QWidget *parent=0, const char *name=0);
    ~MultiTimeListEdit();

    // Accessors
    vector<double> value() const;

    // Constraints
    void setMin(double min) { _timeEdit->setMin(min); }
    void setMax(double max) { _timeEdit->setMax(max); }
    void setRange(double min, double max) {_timeEdit->setRange(min,max); }
    double min() const { return _timeEdit->min(); }
    double max() const { return _timeEdit->max(); }

public slots:
    void setValue(vector<double> time);
    void setEnabled(bool enabled);
    void setMode(TimeFormatter::TimeMode mode);

signals:
    void valueChanged();
    void modeChanged(TimeFormatter::TimeMode mode);

private slots:
    void activateMode(int);

private:
    TimeListEdit* _timeEdit;
    QComboBox*    _combo;
};

#endif
