/*****************************************************************************
 *
 *  TimeListEdit.h                              XMM Science Analysis Subsystem
 *
 *  Qt widget for editing lists of times
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: TimeListEdit.h,v 1.1 1999/12/06 15:28:52 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef TIMELISTEDIT_H
#define TIMELISTEDIT_H

#include <vector>                // C++ headers
#include <string>

#include "DoubleListEdit.h"      // Application headers
#include "TimeFormatter.h"

#include <qstring.h>


//================================================================
//  Class TimeListEdit
//================================================================

class TimeListEdit : public DoubleListEdit
{
    Q_OBJECT

public:

    // Constructor
    TimeListEdit(QWidget *parent=0, const char *name=0);

    void setMode(TimeFormatter::TimeMode mode);
    TimeFormatter::TimeMode mode() { return _mode; }

protected:

    bool parseItem(const QString& str, double& result);

private:

    // Utility
    void setTextToValue();
    bool isValid();
    bool isInRange();
    bool tokenInRange(const char* str);

    string timeAsString(double time);

    // Member data
    TimeFormatter::TimeMode _mode;
};

#endif
