/****************************************************************************
 *
 *  testLongMenu.cc
 *
 *  Test program for LongMenu widget
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: testLongMenu.cc,v 1.2 2001/05/10 13:03:53 jbakker Exp $
 *
 *****************************************************************************/

#include "testLongMenu.h"            // Application headers
#include "LongMenu.h"

#include <iostream>                // C++ headers

#include <qapp.h>                    // Qt headers
#include <qpopupmenu.h>
#include <qmenubar.h>


//================================================================
//  Class Demo
//================================================================

Demo::Demo( QWidget *parent, const char *name )
    : QWidget( parent, name )
{
    initMetaObject();
    
    QPopupMenu* fileMenu = new QPopupMenu;
    fileMenu->insertItem( "Exit",  qApp, SLOT(quit()) );

    _demoMenu = new LongMenu;
    //   _demoMenu->setMaxRows(30);

    _demoMenu->insertItem( "a");
    _demoMenu->insertItem( "b");
    _demoMenu->insertItem( "c");
    _demoMenu->insertItem( "d");
    _demoMenu->insertItem( "e");
    _demoMenu->insertItem( "f");
    _demoMenu->insertItem( "A long item");
    _demoMenu->insertItem( "g");
    _demoMenu->insertItem( "h");
    _demoMenu->insertItem( "i");
    _demoMenu->insertItem( "j");
    _demoMenu->insertItem( "k");
    _demoMenu->insertItem( "l");
    _demoMenu->insertItem( "m");
    _demoMenu->insertItem( "n");
    _demoMenu->insertItem( "o");
    _demoMenu->insertItem( "p");
    _demoMenu->insertItem( "q");
    _demoMenu->insertItem( "An extreme item");
    _demoMenu->insertItem( "r");
    _demoMenu->insertItem( "s");
    _demoMenu->insertItem( "t");
    _demoMenu->insertItem( "u");
    _demoMenu->insertItem( "v");
    _demoMenu->insertItem( "w");
    _demoMenu->insertItem( "x");
    _demoMenu->insertItem( "y");
    _demoMenu->insertItem( "z");
    _demoMenu->insertItem( "0");
    _demoMenu->insertItem( "1");
    _demoMenu->insertItem( "2");
    _demoMenu->insertItem( "3");
    _demoMenu->insertItem( "4");
    _demoMenu->insertItem( "5");
    _demoMenu->insertItem( "6");
    _demoMenu->insertItem( "7");
    _demoMenu->insertItem( "8");
    _demoMenu->insertItem( "9");
    _demoMenu->insertItem( "aa");
    _demoMenu->insertItem( "bb");
    _demoMenu->insertItem( "cc");
    _demoMenu->insertItem( "dd");
    _demoMenu->insertItem( "ee");
    _demoMenu->insertItem( "ff");
    _demoMenu->insertItem( "gg");
    _demoMenu->insertItem( "hh");
    _demoMenu->insertItem( "ii");
    _demoMenu->insertItem( "jj");
    _demoMenu->insertItem( "kk");
    _demoMenu->insertItem( "ll");
    _demoMenu->insertItem( "mm");
    _demoMenu->insertItem( "nn");
    _demoMenu->insertItem( "oo");
    _demoMenu->insertItem( "pp");
    _demoMenu->insertItem( "qq");
    _demoMenu->insertItem( "rr");
    _demoMenu->insertItem( "ss");
    _demoMenu->insertItem( "tt");
    _demoMenu->insertItem( "uu");
    _demoMenu->insertItem( "vv");
    _demoMenu->insertItem( "ww");
    _demoMenu->insertItem( "xx");
    _demoMenu->insertItem( "yy");
    _demoMenu->insertItem( "zz");

    connect(_demoMenu, SIGNAL(selected(const char*)), 
	    SLOT(itemSelected(const char*)));

    QMenuBar* _menuBar = new QMenuBar(this);
    _menuBar->insertItem("File", fileMenu);
    _menuBar->insertItem("Demo", _demoMenu);
}

void Demo::itemSelected(const char* text)
{
    cout << text << endl;
}



//================================================================
//  Main program
//================================================================

int main(int argc, char **argv)
{
    QApplication app(argc, argv);
    Demo mainWidget;
    app.setMainWidget(&mainWidget);

    mainWidget.show();
    return app.exec();
}
