/*****************************************************************
 *
 *  System.h                        XMM Science Analysis Subsystem
 *
 *  System utilities
 *
 *  (c) 1998 ESA  -  Written by Jon Brumfitt, Aurora
 *  (c) 2000 ESA  -  Rewritten by Jorgo Bakker, Aurora
 *
 *
 *****************************************************************/

#ifndef System_Header_h
#define System_Header_h

#include <string>


/*****************************************************************
 *  Class System
 *
 *  Provides interface to UNIX functions, to minimise the number
 *  of classes which have to be ported between UNIX variants.
 *
 *****************************************************************/

class System
{
public:
  // Get current date and time as a string
  static string getDateTimeString();

  // gets the value of environment name. On success, true is returned
  static bool   getEnv(const string& name,      string& val);

  // sets the value of environment name. On success, true is returned
  static bool   setEnv(const string& name,const string& val);
};

#endif
