// -*-C++-*-
//
// File:      SasGuiGlobal.cc
// Author:    jbakker
// Generated: Thu Apr 13 11:57:25 MET DST 2000

#include "SasGuiGlobal.h"
#include <SasFileLocator.h>
#include <StringFns.h>

#include <cstdlib>                   // C headers
#include <ctime>

SasGuiGlobal* SasGuiGlobal::_instance = 0;  
string        SasGuiGlobal::_sasDir;  

SasGuiGlobal::SasGuiGlobal()
{
  char *sasDirName;
  if((sasDirName = getenv("SAS_DIR")))
    _sasDir = sasDirName;
  else
    _sasDir = ".";
}

SasGuiGlobal::~SasGuiGlobal()
{
}

string SasGuiGlobal::sasDir() const
{
    return _sasDir;
}


/*** Return list of directories in SAS_PATH ***/

list<string> SasGuiGlobal::sasPath() const
{
    string path;
    char *sasPath;
    if((sasPath = getenv("SAS_PATH")))
        path = sasPath;

    return StringFns::splitString(path, ":");
}


/*** Return path of GUI configuration directory ***/

string SasGuiGlobal::guiConfigDir() const
{
    SasFileLocator locator("");

    return locator.locate("config/sas/config", "", false);
}

SasGuiGlobal* SasGuiGlobal::instance()
{ 
  if (! _instance) _instance = new SasGuiGlobal;
  return _instance;
}
